Bug 1024080 - python-neutron needs to require: python-babel
python-neutron needs to require: python-babel
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
4.0
Unspecified Unspecified
high Severity high
: beta
: 4.0
Assigned To: Terry Wilson
Roey Dekel
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 14:32 EDT by Lars Kellogg-Stedman
Modified: 2016-04-26 12:43 EDT (History)
5 users (show)

See Also:
Fixed In Version: openstack-neutron-2013.2-5.el6ost
Doc Type: Bug Fix
Doc Text:
The python-neutron package provides openstack.common.gettextutils, which requires python-babel. However, the python-neutron package was not dependent on python-babel. This prevented neutron from running commands that required the python-babel module. With this update, the python-neutron package is now dependent on python-babel.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 19:33:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lars Kellogg-Stedman 2013-10-28 14:32:54 EDT
Description of problem:

openstack.common.gettextutils from the python-neutron package requires the python-babel module.

Version-Release number of selected component (if applicable):

python-neutron-2013.2-3.el6ost.noarch

Without the babel package installed:

# neutron --help
Traceback (most recent call last):
  File "/usr/bin/neutron", line 6, in <module>
    from neutronclient.shell import main
  File "/usr/lib/python2.6/site-packages/neutronclient/shell.py", line 30, in <module>
    from neutronclient.common import clientmanager
  File "/usr/lib/python2.6/site-packages/neutronclient/common/clientmanager.py", line 23, in <module>
    from neutronclient import client
  File "/usr/lib/python2.6/site-packages/neutronclient/client.py", line 33, in <module>
    from neutronclient.common import utils
  File "/usr/lib/python2.6/site-packages/neutronclient/common/utils.py", line 30, in <module>
    from neutronclient.openstack.common import strutils
  File "/usr/lib/python2.6/site-packages/neutronclient/openstack/common/strutils.py", line 28, in <module>
    from neutronclient.openstack.common.gettextutils import _  # noqa
  File "/usr/lib/python2.6/site-packages/neutronclient/openstack/common/gettextutils.py", line 34, in <module>
    from babel import localedata
ImportError: No module named babel
Comment 3 Lars Kellogg-Stedman 2013-10-28 15:55:15 EDT
On a new install this doesn't crop up, because python-neutron requires python-keystoneclient which requires python-babel.

On an *upgrade* install, the python-keystone requirement is satisfied by the RHOS-3 python-keystoneclient package, which does not require python-babel.
Comment 5 Roey Dekel 2013-11-17 10:04:08 EST
New Install:
============
Verified on Havana

Version-Release number of selected component (if applicable):
=============================================================
puddle 2013-11-08.1
python-neutron-2013.2-5.el6ost.noarch

Results:
========
1. packstack --answer-file=FILE =>
Installed: python-babel-0.9.4-5.1.el6.noarch

2. rpm -qR python-keystoneclient | grep babel =>
python-babel

Comments:
=========
1. The installation verification is taken from yum.log
2. The dependency for keystoneclient shows it won't install without python babel => therfore openstack won't install without it

Upgrade:
========
Verified on Grizzly

Version-Release number of selected component (if applicable):
=============================================================
puddle 2013-11-14.2
python-quantum-2013.1.4-3.el6ost.noarch

Results:
========
1. yum install openstack-neutron =>
--> Processing Dependency: python-babel for package: python-neutron-2013.2-5.el6ost.noarch
2. neutron --help =>
{show neutron's help}
Comment 7 errata-xmlrpc 2013-12-19 19:33:19 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html

Note You need to log in before you can comment on or make changes to this bug.